Others
The following sections describe the API changes from version 26.1 to 26.2.
Table of Contents
Breaking changes (22)
- [Certificate Management - vManage]
- [Configuration - App Registry]
- [Configuration - Device Actions]
- [Configuration - Device Firmware Update]
- [MSLA]
- [MultiCloud - General]
- [Smart License]
- [SmartLicensing - Sync Licenses]
- [SmartLicensing - Templates]
- [Utility - OLAP DB]
New (19)
- [Compliance - Device Details]
- [Configuration - Device Software Update]
- [MultiCloud - Accounts]
- [Radkit]
- [Real Time Monitoring - GNSS]
- [Truststore Certificates]
Deprecated (1)
Updates (21)
- [Certificate Management - vManage]
- [Cluster Management]
- [Configuration - App Registry]
- [Configuration - Control Component Setting]
- [Configuration - Device Inventory]
- [Configuration - Device Software Update]
- [IPS Signature - Rule]
- [Licensing - Next Generation]
- [MultiCloud - General]
- [Scheduled Report Management]
- [SmartLicensing - Sync Licenses]
Breaking changes
The following are changes to the API that may break an application or integration.
[Certificate Management - vManage]
- GET /setting/configuration/webserver/certificate/getcertificate
- API Operation Summary: Get certificate for alias server
- ⛔️ Breaking Change - api operation id 'getCertificate' removed and replaced with 'getCertificate_CertificateManagementVmanage_5903'
[Configuration - App Registry]
- GET /app-registry/app
- API Operation Summary: Get All the App for the given conditions
- ⛔️ Breaking Change - restricted the 'query' request parameter 'filterAttributeType' to a list of enum values
[Configuration - Device Actions]
- GET /device/action/security/devices/{policyType}
- API Operation Summary: Get list of devices by security policy type
- ⛔️ Breaking Change - Removed operation
[Configuration - Device Firmware Update]
- POST /device/action/firmware
- API Operation Summary: Upload firmware image package
- ⛔️ Breaking Change - Removed operation
[MSLA]
- POST /msla/licenses/sync
- API Operation Summary: Retrieve MSLA subscription/licenses
- ⛔️ Breaking Change - Removed operation
- GET /msla/template
- API Operation Summary: Retrieve all MSLA template
- ⛔️ Breaking Change - Removed operation
- POST /msla/template/licenses
- API Operation Summary: Retrieve MSLA subscription/licenses
- ⛔️ Breaking Change - Removed operation
- GET /msla/va/License
- API Operation Summary: Retrieve MSLA subscription/licenses
- ⛔️ Breaking Change - Removed operation
[MultiCloud - General]
- GET /multicloud/connected-sites/{cloudType}
- API Operation Summary: Get sites with connectivity to the cloud by cloud type
- ⛔️ Breaking Change - api operation id 'getCloudConnectedSites_MulticloudGeneral_3903' removed and replaced with 'getCloudConnectedSites'
- GET /multicloud/devices/{cloudType}
- API Operation Summary: Get cloud devices by cloud type
- ⛔️ Breaking Change - api operation id 'getCloudDevices_MulticloudGeneral_3103' removed and replaced with 'getCloudDevices'
[Smart License]
- GET /smartLicensing/getUserSettings
- API Operation Summary: get settings
- ⛔️ Breaking Change - Removed operation
- POST /smartLicensing/syncLicenses
- API Operation Summary: get all licenses for sa/va
- ⛔️ Breaking Change - Removed operation
[SmartLicensing - Sync Licenses]
- POST /v1/smart-licensing/sync
- API Operation Summary: Sync licenses from CSSM to vManage db
- ⛔️ Breaking Change - api operation id 'syncLicenses_SmartlicensingSyncLicenses_2404' removed and replaced with 'syncLicenses'
[SmartLicensing - Templates]
- GET /v1/smart-licensing/association
- API Operation Summary: Get the devices associated with a template
- ⛔️ Breaking Change - Removed operation
- POST /v1/smart-licensing/template
- API Operation Summary: Create and assign license template.
- ⛔️ Breaking Change - Removed operation
- DELETE /v1/smart-licensing/template/{templateId}
- API Operation Summary: Delete a license template
- ⛔️ Breaking Change - Removed operation
[Utility - OLAP DB]
- GET /util/olapdb/migration/rangefrom
- API Operation Summary: Get migration historical data range configuration from upgrade time
- ⛔️ Breaking Change - Removed operation
- POST /util/olapdb/migration/rangefrom
- API Operation Summary: Config migration historical data range from upgrade time in seconds. -1 to keep all.
- ⛔️ Breaking Change - Removed operation
- GET /util/olapdb/migration/settings
- API Operation Summary: Get migration generic settings
- ⛔️ Breaking Change - Removed operation
- POST /util/olapdb/migration/settings
- API Operation Summary: Config generic settings
- ⛔️ Breaking Change - Removed operation
- GET /util/olapdb/migration/statsdbinfo
- API Operation Summary: Get stats db table information
- ⛔️ Breaking Change - Removed operation
- GET /util/olapdb/migration/status
- API Operation Summary: Get migration status
- ⛔️ Breaking Change - Removed operation
New
The following operations are introduced with this release:
[Compliance - Device Details]
[Configuration - Device Software Update]
- POST /device/action/software/package/ngfwsignature/{type}/mode/manual
- New operation: upload Ngfw signature package
- POST /device/action/software/package/ngfwsignature/{type}/mode/remote
- New operation: Add NGFW LSP/VDB remote packages
[MultiCloud - Accounts]
- GET /multicloud/accounts/externalId
- New operation: Get AWS IAM external ID for multicloud account onboarding
[Radkit]
- GET /radkit/authorizations
- New operation: List RADKit authorizations
- POST /radkit/authorizations
- New operation: Create RADKit authorization
- PUT /radkit/authorizations
- New operation: Update RADKit authorization
- PUT /radkit/authorizations/cancel
- New operation: Cancel RADKit authorization
[Real Time Monitoring - GNSS]
- GET /device/gnss/gnss-devices
- New operation: Get GNSS Devices
- GET /device/gnss/gnss-location
- New operation: Get GNSS location
- GET /device/gnss/gnss-satellite
- New operation: Get GNSS satellite all response
- GET /device/gnss/gnss-status
- New operation: Get GNSS status
- GET /device/gnss/gnss-time
- New operation: Get GNSS time
[Truststore Certificates]
- GET /truststore/certificates
- New operation: Get enterprise truststore CA certificates
- POST /truststore/certificates
- New operation: Import enterprise truststore CA certificates
- DELETE /truststore/certificates/{uuid}
- New operation: Delete an enterprise truststore CA certificate
- GET /truststore/certificates/{uuid}
- New operation: Get an enterprise truststore CA certificate
- POST /truststore/test-connection
- New operation: Test truststore TLS validation and hostname verification for an enterprise service
- POST /truststore/test-connection/proxy
- New operation: Test truststore TLS validation and hostname verification for an enterprise service through the configured proxy
Deprecated
The following operations and properties will be removed in future releases. Therefore, it is not recommended to use these resources.
[Utility - OLAP DB]
- POST /util/olapdb/migration/action/{action}
- ⚠️ Deprecated operation: Migration actions - start pause or restart migration
Updates
[Certificate Management - vManage]
- GET /setting/configuration/webserver/certificate/getcertificate
- API Operation Summary: Get certificate for alias server
- ⛔️ Breaking Change -api operation id 'getCertificate' removed and replaced with 'getCertificate_CertificateManagementVmanage_5903'
[Cluster Management]
- POST /clusterManagement/setup
- API Operation Summary: Add vManage to cluster
- added the non-success response with the status '503'
[Configuration - App Registry]
- GET /app-registry/app
- API Operation Summary: Get All the App for the given conditions
- ⛔️ Breaking Change -restricted the 'query' request parameter 'filterAttributeType' to a list of enum values
- added the new enum value 'appName' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'applicationFamily' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'applicationGroup' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'applicationSource' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'businessRelevance' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'displayName' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'trafficClass' to the 'query' request parameter 'filterAttributeType'
- added the new enum value 'uuid' to the 'query' request parameter 'filterAttributeType'
[Configuration - Control Component Setting]
- GET /v1/control-component/devices/{deviceId}/settings
- API Operation Summary: Get the device-specific settings for a specific control component. The deviceId can be obtained from the "uuid" field in the data returned by the API (GET /dataservice/certificate/data/controller/list)
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- POST /v1/control-component/devices/{deviceId}/settings
- API Operation Summary: Create device-specific settings for a specific control component. The deviceId can be obtained from the "uuid" field in the data returned by the API (GET /dataservice/certificate/data/controller/list)
- added the new optional request property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/cliAddon'
- added the new optional request property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/vpn/management/inheritCommonDns'
- added the new optional request property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/vpn/transport/inheritCommonDns'
- added the new optional request property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/cliAddon'
- added the new optional request property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/vpn/management/inheritCommonDns'
- added the new optional request property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/vpn/transport/inheritCommonDns'
- added the new optional request property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/cliAddon'
- added the new optional request property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/vpn/management/inheritCommonDns'
- added the new optional request property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/vpn/transport/inheritCommonDns'
- added the optional property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ControllerDeviceSpecificSetting]/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ManagerDeviceSpecificSetting]/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/ValidatorDeviceSpecificSetting]/vpn/transport/inheritCommonDns' to the response with the '200' status
- POST /v1/control-component/devices/{deviceId}/settings/config-to-settings
- API Operation Summary: Auto generate the control component device specific settings(System,VPN static route and interface settings) by loading running config from a specific device which is reachable with Manager
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryControllerDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryManagerDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/cliAddon' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/vpn/management/inheritCommonDns' to the response with the '200' status
- added the optional property '/oneOf[#/components/schemas/QueryValidatorDeviceSpecificSettingsResponse]/payload/vpn/transport/inheritCommonDns' to the response with the '200' status
- GET /v1/control-component/network-settings
- API Operation Summary: Get the network settings for all control components
- added the new optional 'query' request parameter 'metadata'
- added the optional property 'metadata' to the response with the '200' status
- added the optional property 'payload/aaa/passwordPolicy' to the response with the '200' status
- added the optional property 'payload/controller/omp/sendPathLimit' to the response with the '200' status
- POST /v1/control-component/network-settings
- API Operation Summary: Create the network settings for all control components
- added the new optional request property 'aaa/passwordPolicy'
- added the new optional request property 'controller/omp/sendPathLimit'
- added the optional property 'aaa/passwordPolicy' to the response with the '200' status
- added the optional property 'controller/omp/sendPathLimit' to the response with the '200' status
[Configuration - Device Inventory]
- GET /system/device/{deviceCategory}
- API Operation Summary: Get devices details. When {deviceCategory = controllers}, it returns vEdge sync status, vBond, vManage and vSmart. When {deviceCategory = vedges}, it returns all available vEdge routers
- removed the enum value 'vEdge-5000' from the 'query' request parameter 'model'
- removed the enum value 'vedge-C1100TG-1N24P32A' from the 'query' request parameter 'model'
- removed the enum value 'vedge-C1100TGX-1N24P32A' from the 'query' request parameter 'model'
- removed the enum value 'vedge-C1111-4PLTELA,vedge-C1116-4P' from the 'query' request parameter 'model'
- removed the enum value 'vedge-IR8140H-P' from the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6A' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6B' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6E' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6H' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6Q' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-4GW6Z' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6A' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6B' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6E' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6H' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6Q' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG113-W6Z' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG418-E' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-CG522-E' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-MG52' to the 'query' request parameter 'model'
- added the new enum value 'cellular-gateway-MG52E' to the 'query' request parameter 'model'
- added the new enum value 'vedge-5000' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ASR-1001-HX-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ASR-1002-HX-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1100TG-1N24P32A-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1100TGX-1N24P32A-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1101-4P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1101-4PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1101-4PLTEPW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1109-2PLTEGB-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1109-2PLTEUS-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1109-2PLTEVZ-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1109-4PLTE2P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1109-4PLTE2PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-4P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-4PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-4PLTELA' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-4PLTELA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-4PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8PLTEEAW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8PLTELA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8PLTELAW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111-8PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1111X-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1112-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1112-8PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1112-8PLTEEAWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1112-8PWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PLTEEAW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PLTELA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PLTELAWZ-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PLTEW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PM-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PMLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PMWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1113-8PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1116-4P' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1116-4P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1116-4PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1116-4PLTEEAWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1116-4PWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PLTEEAW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PLTELA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PLTELAWZ-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PM-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PMLTEE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PMLTEEA-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PMLTEEAWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PMWE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1117-4PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1118-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121-4P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121-4PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121-8PLTEPW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121X-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121X-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1121X-8PLTEPW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1126-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1126X-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1127-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1127-8PMLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1127X-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1127X-8PMLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1128-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1131-8PLTEPW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1131-8PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1131X-8PLTEPW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1131X-8PW-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1161-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1161-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1161X-8P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C1161X-8PLTEP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8000V-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-VAI-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-VAI-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-VAP-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130-VAP-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130H-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8130H-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-5T1S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-5T1S-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-8T2S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-8T2S-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131X-1C-8P2S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131X-1C-8P2S-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131X-1C-8T2S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8131X-1C-8T2S-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8140-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8140-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151-CVAI-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151-CVAP-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151H-C-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8151H-C-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8161-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8161-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8200-1N-4T-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8200L-1N-4T-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8211-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8211-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8221-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8221L-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8221L-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8225-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8230-1N-2M2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8230E-8TM2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8230X-1N-2M2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8230X-8M2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8231-E-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8231-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8235-E-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8235-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8255-G2-UCSXE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8255-G2-UCSXE-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8300-1N1S-4T2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8300-1N1S-6T-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8300-2N2S-4G2X' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8300-2N2S-4T2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8300-2N2S-6T-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8330-1N1S-4M2X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8330-6TM4SX-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8330-6TM4X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8330X-6TM4SX-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8330X-6TM4X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8351-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8355-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8375-E-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8455-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8475-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8500-12X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8500-12X4QC-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8500-20X6C' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8500-20X6C-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8500L-8S4X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8530-12X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8530-12X4QC-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8530L-8S2X2Y-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8530L-8S8X4Y-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8550-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8570-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8650-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C8650-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C9500-40X' to the 'query' request parameter 'model'
- added the new enum value 'vedge-C9500-48Y4C' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ESR-6300-LIC' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ESR-6300-LIC-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ESR-6300-NCP' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ESR-6300-NCP-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ESR-6300-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-1101-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-1821-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-1831-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-1833-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-1835-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-8140H-P' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-8140H-P-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-8140H-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR-8340-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR1001-G2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-IR1001-G2-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4221-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4221X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4321-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4331-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4351-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4431-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4451-X-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR-4461-SD-ROUTING' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100-4G-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100-4GLTEGB-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100-4GLTENA-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100-6G-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100X-4G-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ISR1100X-6G-XE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-ccm' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-C8200-UCPE' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-C8200-UCPEVM' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-C8300-UCPE-1N20' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5216' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5228' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5400' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5436' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5444' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP-5456' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP2100' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP2100-X1' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-CSP2100-X2' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-ENCS5400' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-UCSC-C220-M6S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-UCSC-C240-M6S' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-UCSC-C240-M6SX' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-UCSC-E' to the 'query' request parameter 'model'
- added the new enum value 'vedge-nfvis-UCSC-M5' to the 'query' request parameter 'model'
- added the new enum value 'vedge-service-insertion' to the 'query' request parameter 'model'
[Configuration - Device Software Update]
- GET /device/action/software/package/signature/{utdsignature}
- API Operation Summary: Get list of Utd images
- added the new 'ImageType{type='liveprotect-shield'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignaturecustom'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignaturelsp'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignaturelspcloud'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignatureoverride'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignaturevdb'}' enum value to the 'imageType' response property for the response status '200'
- added the new 'ImageType{type='ngfwsignaturevdbcloud'}' enum value to the 'imageType' response property for the response status '200'
- added the new enum value 'ngfwsignature' to the 'path' request parameter 'utdsignature'
- added the optional property 'versionType' to the response with the '200' status
[IPS Signature - Rule]
- GET /signature-set/{signatureSetId}/base/rule
- API Operation Summary: Fetch all Base Rules
- added the optional property 'data/items/version' to the response with the '200' status
- GET /signature-set/{signatureSetId}/overridden/rule
- API Operation Summary: Fetch all overridden Rules
- added the optional property 'data/items/version' to the response with the '200' status
[Licensing - Next Generation]
- GET /v1/licensing/edit-licenses/{uuid}
- API Operation Summary: Edit licenses associated to a device
- added the new 'Advantage' enum value to the 'appliedFilters/licenseClassification' response property for the response status '200'
- added the new 'Essential' enum value to the 'appliedFilters/licenseClassification' response property for the response status '200'
- added the new 'Premier' enum value to the 'appliedFilters/licenseClassification' response property for the response status '200'
- POST /v1/licensing/licenses
- API Operation Summary: Get applicable licenses based on platform class
- restricted request property 'appliedFilters/licenseClassification' to a list of enum values
- added the new 'Advantage' enum value to the request property 'appliedFilters/licenseClassification'
- added the new 'Essential' enum value to the request property 'appliedFilters/licenseClassification'
- added the new 'Premier' enum value to the request property 'appliedFilters/licenseClassification'
- POST /v1/licensing/sa-va-distribution
- API Operation Summary: Get Smart account and virtual account distribution of selected licenses
- restricted request property 'appliedFilters/licenseClassification' to a list of enum values
- added the new 'Advantage' enum value to the request property 'appliedFilters/licenseClassification'
- added the new 'Essential' enum value to the request property 'appliedFilters/licenseClassification'
- added the new 'Premier' enum value to the request property 'appliedFilters/licenseClassification'
[MultiCloud - General]
- GET /multicloud/connected-sites/{cloudType}
- API Operation Summary: Get sites with connectivity to the cloud by cloud type
- ⛔️ Breaking Change -api operation id 'getCloudConnectedSites_MulticloudGeneral_3903' removed and replaced with 'getCloudConnectedSites'
- GET /multicloud/devices/{cloudType}
- API Operation Summary: Get cloud devices by cloud type
- ⛔️ Breaking Change -api operation id 'getCloudDevices_MulticloudGeneral_3103' removed and replaced with 'getCloudDevices'
[Scheduled Report Management]
- POST /v1/reports
- API Operation Summary: Create a new report template
- added the new 'link_sla_change' enum value to the 'reportConfig/templateType' response property for the response status '200'
- added the new 'link_sla_change' enum value to the 'templateType' response property for the response status '200'
- added the new 'upgrade_pre_check' enum value to the 'reportConfig/templateType' response property for the response status '200'
- added the new 'upgrade_pre_check' enum value to the 'templateType' response property for the response status '200'
- added the new optional request property 'upgradeImageLocation'
- added the new optional request property 'upgradeImageType'
- added the new optional request property 'upgradeImageVersion'
- added the new 'link_sla_change' enum value to the request property 'templateType'
- added the new 'upgrade_pre_check' enum value to the request property 'templateType'
- added the optional property 'reportConfig/upgradeImageLocation' to the response with the '200' status
- added the optional property 'reportConfig/upgradeImageType' to the response with the '200' status
- added the optional property 'reportConfig/upgradeImageVersion' to the response with the '200' status
- GET /v1/reports/preview/download
- API Operation Summary: Download a report preview file
- added the new enum value 'link_sla_change' to the 'query' request parameter 'templateType'
- added the new enum value 'upgrade_pre_check' to the 'query' request parameter 'templateType'
- PUT /v1/reports/{reportId}
- API Operation Summary: Modify the report template configuration
- added the new 'link_sla_change' enum value to the 'reportConfig/templateType' response property for the response status '200'
- added the new 'link_sla_change' enum value to the 'templateType' response property for the response status '200'
- added the new 'upgrade_pre_check' enum value to the 'reportConfig/templateType' response property for the response status '200'
- added the new 'upgrade_pre_check' enum value to the 'templateType' response property for the response status '200'
- added the new optional request property 'upgradeImageLocation'
- added the new optional request property 'upgradeImageType'
- added the new optional request property 'upgradeImageVersion'
- added the new 'link_sla_change' enum value to the request property 'templateType'
- added the new 'upgrade_pre_check' enum value to the request property 'templateType'
- added the optional property 'reportConfig/upgradeImageLocation' to the response with the '200' status
- added the optional property 'reportConfig/upgradeImageType' to the response with the '200' status
- added the optional property 'reportConfig/upgradeImageVersion' to the response with the '200' status